List Billers
Request URL
POST /transfer-to/bills/billers/list
Description
This endpoint may be used to retrieve a list of billers that match the specified criteria. If billerName is an included search parameter, then the results will include any billers whose name contains the specified billerName in addition to matching the remaining criteria. Likewise, including the aka search parameter will return any billers with the specified aka value contained in at least one aka (an alternative name for the biller) and that match the rest of the criteria.
A maximum limit of 100 billers may be returned in one response. If the response includes "more": true, then there are additional matching billers that were not included in the response. In this case, the skipRecords property may be used to skip the desired number of records, such as the first 100, to return the next set of matching billers. The numberOfRecords and skipRecords properties may be used in conjunction with one another in order to paginate results.
If no properties are included, an unfiltered transaction list will be returned (up to a maximum of 100).
Schema
Property table for transfer-to/bills/billers/list
| Property | Description | Required | Schema |
|---|---|---|---|
| billerId | The biller ID in connectFi | No | { "type": "string", "pattern": "^[0-9a-zA-Z_]+$", "minLength": 1, "maxLength": 36, "nullable": true, "$id": "common-idNullable" } |
| billerIds | An array of biller IDs | No | array of { "type": "string", "pattern": "^[0-9a-zA-Z_]+$", "minLength": 1, "maxLength": 36, "nullable": true, "$id": "common-idNullable" } |
| billerName | The name of the biller | No | { "type": "string", "pattern": "^((?![<>]).)*$", "minLength": 0, "maxLength": 50, "nullable": true, "$id": "common-commonStr50" } |
| aka | An alternative name | No | { "type": "string", "pattern": "^((?![<>]).)*$", "minLength": 0, "maxLength": 50, "nullable": true, "$id": "common-commonStr50" } |
| numberOfRecords | The maximum number of desired records to return | No | { "type": "integer", "minimum": 1, "nullable": true, "$id": "common-numberOfRecords" } |
| skipRecords | The number of records to skip when returning results | No | { "type": "integer", "minimum": 0, "nullable": true, "$id": "common-skipRecords" } |
Request Body
{
"billerId": "1234567890",
"billerIds": [],
"billerName": "BillerName",
"numberOfRecords": 5,
"skipRecords": 0
}
Snippet Examples
javascript
const axios = require('axios');
const data = {
"billerId": "1234567890",
"billerIds": [],
"billerName": "BillerName",
"numberOfRecords": 5,
"skipRecords": 0
};
const config = {
method: 'POST',
url: '${CONNECTFI_BASE_URL}/transfer-to/bills/billers/list',
headers: {
'Content-Type': "application/json",
'x-connectfi-token': "A long random string token received from /auth/get-token request"
},
data
};
let result;
try {
result = await axios.request(config);
if (result.status === 200) {
console.log(JSON.stringify(result.data));
}
} catch (err) {
console.log({
errCode: err.code,
responseStatus: err.response && err.response.status,
data: err.response && JSON.stringify(err.response.data)
});
}
cURL
curl --location "CONNECTFI_BASE_URL/transfer-to/bills/billers/list" --data "{ \"billerId\":\"1234567890\", \"billerIds\":[], \"billerName\":\"BillerName\", \"numberOfRecords\":5, \"skipRecords\":0}" --header "Content-Type: application/json" --header "x-connectfi-token: A long random string token received from /auth/get-token request"
Successful Response Examples
200 SUCCESSFUL RESPONSE
HEADERS
| Header | Value |
|---|---|
| Content-Type | application/json |
| x-connectfi-token | A long random string token received from /auth/get-token request |
REQUEST BODY
{
"billerId": "1234567890",
"billerIds": [],
"billerName": "BillerName", //Can be partial name, may match mulitple billers
"numberOfRecords": 5,
"skipRecords": 0
}
RESPONSE BODY
{
"code": "0",
"data": {
"total": {
"skipRecords": 0,
"numberOfRecords": 1,
"more": false
},
"items": [
{
"biller_id": "1234567890",
"accept_CDD_prenotes": "",
"accept_CDF_prenotes": "",
"accept_CDN_prenotes": "",
"accept_CDP_prenotes": "",
"accept_CDV_prenotes": "",
"accept_FBC_prenotes": "",
"accept_FBD_prenotes": "",
"accepts_DMP_payments_only": "",
"accepts_DMP_prenotes": "",
"accepts_exception_payments": "N",
"accepts_guaranteed_payments_only": "Y",
"accepts_prenotes": "N",
"akas": [],
"average_response_time": "",
"billerKey": "449924",
"biller_class": "Insurance",
"biller_name": "Full BillerName",
"biller_type": "Core",
"check_digit_routine": "N",
"country_code": "USA",
"currency_code": "840",
"dtsCreatedAt": "2023-02-03T08:01:58.747Z",
"dtsUpdatedAt": "2024-08-08T13:02:42.598Z",
"file_format": "",
"isArchive": false,
"line_of_business": "RB",
"live_date": "2018-08-31",
"note": "",
"previous_biller_name": "",
"recordType": "0",
"record_effective_date": "2018-11-30",
"require_addenda_with_reversals": "N",
"return_CDA": "",
"return_CDC": "",
"return_CDM": "",
"return_CDR": "",
"return_CDT": "",
"return_CDV": "",
"routing_number": "",
"state_code": "",
"territory_code": "National",
"total_AKAs": "0",
"total_addresses": "1",
"total_contacts": "1",
"total_masks": "1"
}
]
},
"requestId": "9d19ce90563e11ef9766ab3b7e81a912"
}
200 SUCCESSFUL RESPONSE - NO MATCHES
HEADERS
| Header | Value |
|---|---|
| Content-Type | application/json |
| x-connectfi-token | A long random string token received from /auth/get-token request |
REQUEST BODY
RESPONSE BODY